
% Provides the option of relabeling the axes before saving the graph

relabel = input('Do you wish to relabel one or more axes ? (1 for yes)   '); 

if relabel == 1,
	fprintf('Enter numbers of axes in an array:');
	axes_vec = input('(1, 2, 3 for x, y, z respectively)   ');
end

for i = 1:length(axes_vec)
	if axes_vec(i) == 1,
		xname = input('Enter x axis label in single quotes   ');
		xlabel(xname)

	    elseif axes_vec(i) == 2,
		yname = input('Enter y axis label in single quotes   ');
		ylabel(yname)

		elseif axes_vec(i) == 3,
		  zname = input('Enter z axis label in single quotes   ');
		  zlabel(zname)	
	end
end